﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FunXgame.Models
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class db_FunXGameEntities : DbContext
    {
        public db_FunXGameEntities()
            : base("name=db_FunXGameEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Categoria> Categoria { get; set; }
        public virtual DbSet<Estado> Estado { get; set; }
        public virtual DbSet<Grupo_Imagen> Grupo_Imagen { get; set; }
        public virtual DbSet<Imagen> Imagen { get; set; }
        public virtual DbSet<Marca> Marca { get; set; }
        public virtual DbSet<Marca_Categoria> Marca_Categoria { get; set; }
        public virtual DbSet<Orden> Orden { get; set; }
        public virtual DbSet<Orden_Producto> Orden_Producto { get; set; }
        public virtual DbSet<Producto> Producto { get; set; }
        public virtual DbSet<Rol> Rol { get; set; }
        public virtual DbSet<Usuario> Usuario { get; set; }
    }
}
